Debian Bug report logs - #288433
ITA: libcrypto++ -- Crypto++ library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Mon, 3 Jan 2005 19:03:03 UTC

Severity: normal

Fixed in version libcrypto++/5.2.1c2-1

Done: Jens Peter Secher <jps@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen Zander <gibreel@debian.org>, pmachard@debian.org, <wnpp@debian.org>:
Bug#288433; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Stephen Zander <gibreel@debian.org>, pmachard@debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libcrypto++ -- Crypto++ library
Date: Mon, 03 Jan 2005 19:54:49 +0100
Package: wnpp
Severity: normal

The current maintainer of libcrypto++, Stephen Zander <gibreel@debian.org>,
is apparently not active anymore. The co-maintainer of this package is not
interested in taking it over.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Note that the co-maintainer has added a few hacks in the last couple of
versions, they should probably be looked into.

Some information about this package:

Package: libcrypto++
Binary: libcrypto++5.2, libcrypto++-dev, libcrypto++-utils
Version: 5.2.1a-1
Priority: optional
Section: libs
Maintainer: Stephen Zander <gibreel@debian.org>
Build-Depends: debhelper (>> 4.1), autotools-dev, doxygen
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/libc/libcrypto++
Files: 88a92584066eba75b52ea611c33e2b93 692 libcrypto++_5.2.1a-1.dsc
 2b25184f840bc668339e770a32b017dc 1288428 libcrypto++_5.2.1a.orig.tar.gz
 9d229431fc388e01e8897728a6feba1c 5831 libcrypto++_5.2.1a-1.diff.gz
Uploaders: Pierre Machard <pmachard@debian.org>

Package: libcrypto++-dev
Priority: optional
Section: libdevel
Installed-Size: 42872
Maintainer: Stephen Zander <gibreel@debian.org>
Architecture: i386
Source: libcrypto++
Version: 5.2.1a-1
Depends: libcrypto++5.2 (= 5.2.1a-1)
Filename: pool/main/libc/libcrypto++/libcrypto++-dev_5.2.1a-1_i386.deb
Size: 6083588
MD5sum: 13a2b93c80ec487b781d00e7ff83bb95
Description: Crypto++ library - header files and validation executable
 This package includes the header files needed for developing using
 the Crypto++ class library.  It also includes the static library and
 libtool supoprt.
 .
 More information can be found at Wei Dei's Crypto++ web site
 http://www.cryptopp.com

Package: libcrypto++-utils
Priority: optional
Section: utils
Installed-Size: 3036
Maintainer: Stephen Zander <gibreel@debian.org>
Architecture: i386
Source: libcrypto++
Version: 5.2.1a-1
Depends: libc6 (>= 2.3.2.ds1-4), libcrypto++5.2, libgcc1 (>= 1:3.4.1-3), libstdc++5 (>= 1:3.3.4-1)
Filename: pool/main/libc/libcrypto++/libcrypto++-utils_5.2.1a-1_i386.deb
Size: 697810
MD5sum: ac4df2c1f62e666763727c4c691f4185
Description: Crypto++ library - utilities and data files
 This package includes a utility for benchmarking and using the
 various Crypto++ routines.  It also includes the test vectors for
 validating both the Crypto++ implementation and other implementations
 of these routines.
 .
 More information can be found at Wei Dei's Crypto++ web site
 http://www.cryptopp.com

Package: libcrypto++5.2
Priority: optional
Section: libs
Installed-Size: 5892
Maintainer: Stephen Zander <gibreel@debian.org>
Architecture: i386
Source: libcrypto++
Version: 5.2.1a-1
Depends: libc6 (>= 2.3.2.ds1-4), libgcc1 (>= 1:3.4.1-3), libstdc++5 (>= 1:3.3.4-1)
Filename: pool/main/libc/libcrypto++/libcrypto++5.2_5.2.1a-1_i386.deb
Size: 1848796
MD5sum: a60ab368c7122e81eaa387b37c6d578e
Description: Crypto++ library
 Crypto++ is a general C++ cryptographic library which includes:
  - a class hierarchy with an API defined by abstract base classes
  - Proposed AES (Rijndael) and other AES candidates
  - other symmetric block ciphers
  - generic cipher modes
  - stream ciphers
  - public key cryptography
  - padding schemes for public-key systems
  - key agreement schemes
  - elliptic curve cryptography
  - one-way hash functions
  - message authentication codes
  - cipher constructions based on hash functions
  - pseudo random number generators (PRNG)
  - A high level interface for most of the above, using a
    filter/pipeline metaphor
 and a whole lot more
 .
 More information can be found at Wei Dei's Crypto++ web site
 http://www.cryptopp.com

Justification: Mail bouncing for 3 months, last upload half a year ago



Changed Bug title. Request was from Jens Peter Secher <jps@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288433; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jens Peter Secher <jps@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 288433@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: 288433@bugs.debian.org
Subject: ITA: libcrypto++ -- Crypto++ library
Date: Wed, 05 Jan 2005 18:58:43 +0100
I will prepare a new libcrypto++ package.
-- 
                                                    Jens Peter Secher
_DD6A 05B0 174E BFB2 D4D9 B52E 0EE5 978A FE63 E8A1 jpsecher get2net dk_



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288433; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jens Peter Secher <jps@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 288433@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: 288433@bugs.debian.org
Subject: Progress report on libcrypto++ adoption
Date: Sun, 13 Mar 2005 23:51:24 +0100
I am still in the process of preparing a new version of libcrypto++.  

I have received a load of patches, which I am incorporating and testing.
During this process, I have decided to confine changes in dpatch files
to make upstream incorporation easier.

If I get done before Sarge is released, I will upload to experimental to
avoid fixing things that are not broken. :-)
-- 
                                                    Jens Peter Secher
_DD6A 05B0 174E BFB2 D4D9 B52E 0EE5 978A FE63 E8A1 jpsecher get2net dk_




Reply sent to Jens Peter Secher <jps@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 288433-close@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: 288433-close@bugs.debian.org
Subject: Bug#288433: fixed in libcrypto++ 5.2.1c2-1
Date: Thu, 04 Aug 2005 15:21:30 -0700
Source: libcrypto++
Source-Version: 5.2.1c2-1

We believe that the bug you reported is fixed in the latest version of
libcrypto++, which is due to be installed in the Debian FTP archive:

libcrypto++-dev_5.2.1c2-1_i386.deb
  to pool/main/libc/libcrypto++/libcrypto++-dev_5.2.1c2-1_i386.deb
libcrypto++5.2c2_5.2.1c2-1_i386.deb
  to pool/main/libc/libcrypto++/libcrypto++5.2c2_5.2.1c2-1_i386.deb
libcrypto++_5.2.1c2-1.diff.gz
  to pool/main/libc/libcrypto++/libcrypto++_5.2.1c2-1.diff.gz
libcrypto++_5.2.1c2-1.dsc
  to pool/main/libc/libcrypto++/libcrypto++_5.2.1c2-1.dsc
libcrypto++_5.2.1c2.orig.tar.gz
  to pool/main/libc/libcrypto++/libcrypto++_5.2.1c2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 288433@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jens Peter Secher <jps@debian.org> (supplier of updated libcrypto++ package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 31 Jul 2005 02:07:29 +0200
Source: libcrypto++
Binary: libcrypto++-dev libcrypto++5.2c2
Architecture: source i386
Version: 5.2.1c2-1
Distribution: unstable
Urgency: low
Maintainer: Jens Peter Secher <jps@debian.org>
Changed-By: Jens Peter Secher <jps@debian.org>
Description: 
 libcrypto++-dev - General purpose cryptographic C++ library - development
 libcrypto++5.2c2 - General purpose cryptographic shared library
Closes: 286114 288433 318518
Changes: 
 libcrypto++ (5.2.1c2-1) unstable; urgency=low
 .
   * New maintainer (Closes: #288433).
   * Complete re-autotoolising of the package to retain pristine upstream
     source and to only build-depend on libtool.
   * The crypto++-util package has been merged into the crypto++-dev
     package and is thus dead.
   * Applied patches from Ben Hutchings to avoid compile warnings
     (Closes: #286114).
   * Circumvented anonymous-enum and template-instantiations problems with
     GCC 4.  Thanks to Florian Weimer and Jozef Matula for guiding me in
     the right direction (Closes: #318518).
   * Started using dpatch since some of the above patches probably could
     make it upstream.
Files: 
 d8b2f3a432d9102d5d5c209ef61621aa 678 libs optional libcrypto++_5.2.1c2-1.dsc
 3bcf397fd47283c51907387c5a4d3513 898068 libs optional libcrypto++_5.2.1c2.orig.tar.gz
 2f01e6c6a97e3ed969ab29135600dd2f 220621 libs optional libcrypto++_5.2.1c2-1.diff.gz
 e0686d26d78065df1e52e4c05fe1be87 1318156 libs optional libcrypto++5.2c2_5.2.1c2-1_i386.deb
 336bf3448ceebbac55ae599cdaf48bec 9355130 libdevel optional libcrypto++-dev_5.2.1c2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC8m2SDuWXiv5j6KERAqaqAKDWJlomrGtUQnK3JJOlq6tKHPtzPQCg5rWJ
KfYrGEisUzh+Lm9ZydqP6qQ=
=kQTk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 23:46:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:01:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.